Get chats
curl --request GET \
--url https://api.getpoppy.ai/api/chats \
--header 'api_key: <api-key>'import requests
url = "https://api.getpoppy.ai/api/chats"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.getpoppy.ai/api/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getpoppy.ai/api/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getpoppy.ai/api/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getpoppy.ai/api/chats")
.header("api_key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getpoppy.ai/api/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "chatNode-patient-star-4uIJt",
"conversations": [
{
"id": "xMmCzgatt8TAI1L58LYQ",
"name": "Breakdown of fizzy drinks part 1",
"lastUpdated": "2026-09-30T10:15:00.000Z"
}
]
},
{
"id": "chatNode-icy-feather-45HNI",
"conversations": [
{
"id": "OdtFIwEmdhlTrNy5UTNg",
"name": "Breakdown of fizzy drinks part 2",
"lastUpdated": "2026-09-29T18:02:00.000Z"
}
]
}
]
}
Board and Chat Endpoints
Get chats
Retrieve all chat assistants for a specific board
GET
/
api
/
chats
Get chats
curl --request GET \
--url https://api.getpoppy.ai/api/chats \
--header 'api_key: <api-key>'import requests
url = "https://api.getpoppy.ai/api/chats"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.getpoppy.ai/api/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getpoppy.ai/api/chats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getpoppy.ai/api/chats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getpoppy.ai/api/chats")
.header("api_key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getpoppy.ai/api/chats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "chatNode-patient-star-4uIJt",
"conversations": [
{
"id": "xMmCzgatt8TAI1L58LYQ",
"name": "Breakdown of fizzy drinks part 1",
"lastUpdated": "2026-09-30T10:15:00.000Z"
}
]
},
{
"id": "chatNode-icy-feather-45HNI",
"conversations": [
{
"id": "OdtFIwEmdhlTrNy5UTNg",
"name": "Breakdown of fizzy drinks part 2",
"lastUpdated": "2026-09-29T18:02:00.000Z"
}
]
}
]
}
This endpoint returns all available chat assistants that are connected to a specific board.
Query Parameters
Response
List of existing conversation threads for this chat assistant, each with its
id, name and
lastUpdated (ISO timestamp of the last message, or null for older conversations){
"data": [
{
"id": "chatNode-patient-star-4uIJt",
"conversations": [
{
"id": "xMmCzgatt8TAI1L58LYQ",
"name": "Breakdown of fizzy drinks part 1",
"lastUpdated": "2026-09-30T10:15:00.000Z"
}
]
},
{
"id": "chatNode-icy-feather-45HNI",
"conversations": [
{
"id": "OdtFIwEmdhlTrNy5UTNg",
"name": "Breakdown of fizzy drinks part 2",
"lastUpdated": "2026-09-29T18:02:00.000Z"
}
]
}
]
}
